LMDE paketlerimizi 3 saniyede nasıl kurabilirim?

Yararlanmak son makale ne hakkında yazdım nane yedekleme, Size, kullandığımız paketleri yeniden yüklemenin üç kolay yolunu göstermek istiyorum. LMDE.

Aslında, ilk form haricinde diğerleri her ikisinde de kullanılabilir Debiangibi Ubuntu.

3 saniyede kurulum

Grafiksel olarak.

Bu, en çok benzeyen yol, tümü grafiksel ve bir terminale dokunmak zorunda kalmadan. İçinde LMDE y Linux Mintvar muhteşem araç denildi nane yedekleme, diğer şeylerin yanı sıra paketlerimizi kaydetmek ve daha sonra yeniden yüklemek için kullanabiliriz.

Söz konusu LMDE, paketi güncellersek piton-uygun 0.8.0 sürümüne kadar kullanamayacağız nane yedekleme bağımlılık sorunu nedeniyle. Aşağıdaki hatayı döndürür:

Traceback (most recent call last):
File "/usr/lib/linuxmint/mintBackup/mintBackup.py", line 87, in <module>
class MessageDialog(apt.FetchProgress):
AttributeError: 'module' object has no attribute 'FetchProgress'

Umarım adamlar nane yakında düzelt.

Terminal aracılığıyla.

Konsol aracılığıyla bunu 2 şekilde yapabiliriz ki bu da sonuçta aynıdır.

2 adımda.

dpkg --get-selections | awk '$2 ~ /^install$/ {print $1}' > lista_de_paquetes.txt

Depolara erişimimiz olduğunda ve her şey yapılandırılıp güncellendiğinde, sadece şunu koymalıyız:

cat lista_de_paquetes.txt | xargs sudo aptitude install -y

3 adımda.

dpkg --get-selections "*" > /home/user/Desktop/lista_de_paquetes.txt

Yeniden yükledikten sonra şunu uyguluyoruz:

dpkg --set-selections  < /home/user/Desktop/lista_de_paquetes.txt

Ve sonra koşuyoruz:

apt-get -u dselect-upgrade

Depoları doğru yapılandırmamız gerektiğini açıklamanın gereksiz olduğunu düşünüyorum .. Basit değil mi?


Makalenin içeriği şu ilkelerimize uygundur editoryal etik. Bir hata bildirmek için tıklayın burada.

8 yorum, sizinkini bırakın

Yorumunuzu bırakın

E-posta hesabınız yayınlanmayacak.

*

*

  1. Verilerden sorumlu: Miguel Ángel Gatón
  2. Verilerin amacı: Kontrol SPAM, yorum yönetimi.
  3. Meşruiyet: Onayınız
  4. Verilerin iletilmesi: Veriler, yasal zorunluluk dışında üçüncü kişilere iletilmeyecektir.
  5. Veri depolama: Occentus Networks (AB) tarafından barındırılan veritabanı
  6. Haklar: Bilgilerinizi istediğiniz zaman sınırlayabilir, kurtarabilir ve silebilirsiniz.

  1.   cesaret dijo

    Veya daha önce yaptığınız ve yaptığınız tüm programları da yazarsınız.

    sudo apt-get -y, silinen tüm paketler

    LMDE'nin Linux MInt ile aynı hedefe sahip olup olmadığını gerçekten bilmiyorum, kutunun dışında olmak

    1.    cesaret dijo

      * Yüklemek

  2.   hokasito dijo

    Biraz "konu dışı" olsa da, sürüm adaylarının GNOME ve XFCE için Linux Mint Debian 201108'de piyasaya sürüldüğünü uyarmak istedim. Umarım epeyce iyileştirme yapılmıştır ... 🙂

    1.    elav <° Linux dijo

      Evet, bu mükemmel haber yayınlandığında ne oluyor, biz çevrimdışıydık .. Teşekkürler.

  3.   mitco'lar dijo

    Seni yeni keşfettim ve TEŞEKKÜR EDERİM.
    Dün 64-bit LMDE'yi kurdum ve iyi anlaşıyorum, ancak keşfedecek 2 küçük şeyim var.

    1– Grafik modunda kök olarak oturum açın

    2. - VLC'yi varsayılan video oynatıcı olarak ayarlayın

    Sanırım tercih edilen uygulamalar kontrol panelinden veya başka bir uygulama ile açarak / varsayılan olarak bu uygulamayı kullanarak alacağımı düşünüyorum. Kök olarak oturum açıldı.

    Her ihtimale karşı sudo nautilus yaptım ve hiçbir şey yapmadım.

    PS1: 64 bitte paketlerin özeti iyi çalışıyorsa.
    Not2: Ayrıca MAME SDL'yi ve bir ppa'nın var olmasını istediğim son wine64'ü yüklemem gerekiyor, çünkü programları daha sonra yapılandırmak sizi otomatik olarak güncellemiyor.
    PS3: AMD beta sürücüsü AMD_Catalyst_Preview_driver_OpenGL_4.2_beta_support_8.88.8-x86.x86_64.run, Cocoon kullanıyorum, https://getcocoon.com/, Firefox'ta coğrafi konumlandırılmış serileri görmek için - yüklenmesi gerekir - 64 bit Flash, Zindus, Qbittorrent, Opera, aletras.oxt uzantısı ile Firefox Flash yardımı ve görevin fazla RAM önbelleğini kontrol etmek için alıcı komut dosyası bu da sizden bir yorumu hak ediyor.

    Bu ve / veya diğer önerilerle öğreticinin beşinci bölümünü dört gözle bekliyorum

  4.   COMECON dijo

    ¡Hola!
    Bir şey, MintBackup makalesini gönderen ilk bağlantıyı buna değiştirmeliyiz: https://blog.desdelinux.net/mintbackup-realiza-un-respaldo-de-tus-paquetes/
    Nedenini bilmiyorum, bir "/ wp-content / themes" alt dizinine bağlanıyor ...

    1.    KZKG ^ Gaara dijo

      Bitti, düzeltildi 😉

  5.   Nahum dijo

    Merhaba, LMDE amd64'ün önceki sürümünden bu yana, depoları yüklerken bozuk paketler ve hatalarla ilgili sorunlar yaşadım, birçok çözümü denedim ve hiçbiri çalışmıyor ... Artık ne yapacağımı bilmiyorum, Gnome-shell kurmak istedim ve bana izin vermedi çünkü paket kırıldı. Bozuk paketlerin sudo dpkg –purge –force-remove-reinstreq gibi komutlarla nasıl çözüleceğini gördüm

    ve şu hatayı alıyorum:

    dpkg: hata: –purge, parametre olarak en az bir paket adı gerektirir

    Paketlerin yüklenmesi ve kaldırılmasıyla ilgili yardım için dpkg –help yazın [*];
    Daha kolay paket yönetimi için "dselect" veya "aptitude" kullanın;
    Dpkg hata ayıklama ayarlarının listesi için dpkg -Dhelp yazın;
    İşleri zorlama seçeneklerinin listesi için dpkg –force-help yazın;
    .Deb dosyalarının işlenmesi konusunda yardım için dpkg-deb –help yazın;

    [*] İle işaretlenmiş seçenekler uzun çıktı üretir,
    Onu 'daha az' veya 'daha fazla' ile filtreleyin!

    birisi bana bu konuda yardım edebilirse 🙂